import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
const jwt = require('jsonwebtoken');
Vue.use(Vuex);
const api = {
  interface: `/api/live/v0/patent/answerTea`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.interface}`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.interface}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.interface}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.interface}/update/${id}`, data);
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.interface}/${payload}`);
    return res;
  },
  async login({ commit }, { user }) {
    const res = await this.$axios.$post(`${api.interface}/login`, user);
    if (res.errcode === 0) {
      localStorage.setItem('token', res.data);
      user = jwt.decode(res.data);
      commit('setUser', user, { root: true });
    }
    return res;
  },
  // 修改密码
  async updatePassword({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.interface}/password/${id}`, data);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
